#include "GObjectManager.h"



GObjectManager::GObjectManager(){
	enemyManager = new GEnemyManager();
//	effectManager = new GEffectManager();
//	shotManager = new GShotManager();
	player = new GPlayer(PlayerType::Udonge);

//	itemManager = new GItemManager();
//	neutralManager = new GNeutralManager();

	/////
	// AIBOOOOOOOOOOOOO!
//	player->aibo = new GPlayer(PlayerType::Durandana);
}

GObjectManager::~GObjectManager(){
	clear();
	delete player;
}

void GObjectManager::clear(){
	enemyManager->clear();
/*	effectManager->clear();
	shotManager->clear();
	itemManager->clear();
	neutralManager->clear();*/
}
